{
  "format_version": "1.16.100",
  "minecraft:block": {
    "description": {
      "identifier": "darkgato:sock_snowman",
      "properties": {
        "block:rotation": [ 2, 3, 4, 5 ]
      }
    },
    "components": {
      "minecraft:creative_category": {
        "group": "items",
        "category": "items"
      },
      "minecraft:material_instances": {
        "*": {
          "texture": "sock_snowman",
          "render_method": "alpha_test"
        }
      },
      "minecraft:geometry": "geometry.sock_snowman",
      "minecraft:loot": "loot_tables/blocks/sock_snowman.json",
      "minecraft:destroy_time": 0.2,
      "minecraft:explosion_resistance": 0,
      "minecraft:block_light_absorption": 0,
      "minecraft:map_color": "#CBFFFB",
      "minecraft:flammable": {
        "flame_odds": 12,
        "burn_odds": 12
      },
      "minecraft:on_player_placing": {
        "event": "update_rotation"
      },
      "minecraft:placement_filter": {
        "conditions": [
          {
            "allowed_faces": [ "side" ]
          }
        ]
      },
      "minecraft:pick_collision": {
        "origin": [ -4, 0, -8 ],
        "size": [ 8, 16, 1 ]
      },
      "minecraft:entity_collision": false
    },
    "permutations": [
      {
        "condition": "query.block_property('block:rotation') == 2",
        "components": {
          "minecraft:rotation": [ 0, -180, 0 ]
        }
      },
      {
        "condition": "query.block_property('block:rotation') == 3",
        "components": {
          "minecraft:rotation": [ 0, 0, 0 ]
        }
      },
      {
        "condition": "query.block_property('block:rotation') == 4",
        "components": {
          "minecraft:rotation": [ 0, -90, 0 ]
        }
      },
      {
        "condition": "query.block_property('block:rotation') == 5",
        "components": {
          "minecraft:rotation": [ 0, 90, 0 ]
        }
      }
    ],
    "events": {
      "update_rotation": {
        "set_block_property": {
          "block:rotation": "query.block_face"
        }
      }
    }
  }
}